Bug 10374 - /usr/lib/rpm/python.req.py breaks building on a malformed python file
: /usr/lib/rpm/python.req.py breaks building on a malformed python file
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build-python)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-07 20:02 by
Modified: 2008-01-25 13:21 (History)


Attachments
Crude fix (601 bytes, patch)
2006-12-07 20:03, Andrey V Khavryuchenko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-07 20:02:27
+ cd /usr/src/RPM/BUILD
+ /usr/lib/rpm/find-requires
Traceback (most recent call last):
  File "/usr/lib/rpm/python.req.py", line 122, in ?
    lis = parser.suite(open(src).read().replace("\r\n","\n")).tolist()
MemoryError
error: /bin/sh failed
error: 

RPM build errors:
Failed to find Requires
    /bin/sh failed
    Failed to find Requires
4.91user 4.10system 0:13.03elapsed 69%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (7major+1122862minor)pagefaults 0swaps
rebuild: rebuild of `pylint-0.12.2-alt1.src.rpm' failed.

Пакет для проверки доступен тут[1]  Поведение воспроизводится как на i686,
так и на x86_64.

Footnotes: 
[1]  http://office.kds.com.ua/~akhavr/pylint-0.12.2-alt1.src.rpm
------- Comment #1 From 2006-12-07 20:03:24 -------
Created an attachment (id=1698) [details]
Crude fix
------- Comment #2 From 2006-12-07 21:33:54 -------
Поправлю диагностику,
------- Comment #3 From 2006-12-08 11:20:07 -------
Там нужно не просто поправить диагностику, а либо (а) сделать ошибку лишь
предупреждением или (б) приделать ручку чтобы отрывать некоторые файлы,
передающиеся /usr/lib/rpm/python.req.py

Иначе pylint-а в сизифе не видать.
------- Comment #4 From 2006-12-09 15:19:37 -------
(In reply to comment #3)
> Там нужно не просто поправить диагностику, а либо (а) сделать ошибку лишь
> предупреждением или (б) приделать ручку чтобы отрывать некоторые файлы,
> передающиеся /usr/lib/rpm/python.req.py

Эта ручка есть в rpm, называется %add_findreq_skiplist.
Думаю, вам понадобится также %add_findprov_skiplist.
------- Comment #5 From 2006-12-09 15:21:06 -------
Да, текст полиси надо чуток поправить
------- Comment #6 From 2006-12-19 02:15:09 -------
Насколько я понял из %changelog'а пакета,
fixed in 0.29-alt4.